Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.rss.endpoint
Class RssInboundEndpointFactoryBean

    java.lang.Object
      org.mule.endpoint.AbstractEndpointBuilder
          org.mule.endpoint.EndpointURIEndpointBuilder
              org.mule.endpoint.AbstractMetaEndpointBuilder
                  org.mule.module.rss.endpoint.RssEndpointBuilder
                      org.mule.module.rss.endpoint.RssInboundEndpointFactoryBean

All Implemented Interfaces:
  Cloneable, MuleContextAware, EndpointBuilder, org.springframework.beans.factory.FactoryBean

    public class RssInboundEndpointFactoryBean

extends RssEndpointBuilder
implements org.springframework.beans.factory.FactoryBean

TODO

Field Summary

Fields inherited from class org.mule.module.rss.endpoint.RssEndpointBuilder
`DATE_FORMAT, SHORT_DATE_FORMAT`

Fields inherited from class org.mule.endpoint.AbstractEndpointBuilder
`connector, createConnector, deleteUnacceptedMessages, disableTransportTransformer, encoding, initialState, logger, messageExchangePattern, messageProcessors, messageProcessorsFactory, mimeType, muleContext, name, properties, PROPERTY_RESPONSE_PROPERTIES, PROPERTY_RESPONSE_TIMEOUT, registryId, responseMessageProcessors, responsePropertiesList, responseTimeout, responseTransformers, retryPolicyTemplate, synchronous, transactionConfig, transformers, uriBuilder`

Constructor Summary
`RssInboundEndpointFactoryBean()`

Method Summary
`Object` | `getObject()`
`Class` | `getObjectType()`
`boolean` | `isSingleton()`

Methods inherited from class org.mule.module.rss.endpoint.RssEndpointBuilder
`buildInboundEndpoint, buildOutboundEndpoint, formatDate, getAcceptedMimeTypes, getLastUpdate, getPollingFrequency, init, isAlwaysCreateConnector, isSplitFeed, setAcceptedMimeTypes, setLastUpdate, setPollingFrequency, setSplitFeed`

Methods inherited from class org.mule.endpoint.AbstractMetaEndpointBuilder
`getEndpointAddressWithoutMetaScheme, getScheme, setProperties`

Methods inherited from class org.mule.endpoint.AbstractEndpointBuilder
`addMessageProcessor, addResponseMessageProcessor, addResponseTransformer, addResponseTransformers, addResponseTransformersFromUri, addTransformer, addTransformers, addTransformersFromUri, checkInboundExchangePattern, clone, doBuildInboundEndpoint, doBuildOutboundEndpoint, equal, equals, getConnector, getDefaultConnector, getDefaultDeleteUnacceptedMessages, getDefaultDisableTransportTransformer, getDefaultEndpointEncoding, getDefaultInitialState, getDefaultMessageProcessorsFactory, getDefaultResponseTimeout, getDefaultSecurityFilter, getDefaultTransactionConfig, getDeleteUnacceptedMessages, getEndpointBuilder, getEndpointEncoding, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getName, getProperties, getResponseMessageProcessors, getResponseTimeout, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, hashCode, initExchangePatternFromConnectorDefault, isDisableTransportTransformer, prepareToBuildEndpoint, setConnector, setCreateConnector, setDeleteUnacceptedMessages, setDisableTransportTransformer, setEncoding, setExchangePattern, setInitialState, setMessageProcessors, setMimeType, setMuleContext, setName, setPropertiesFromProperties, setProperty, setRegistryId, setResponseMessageProcessors, setResponseTimeout, setResponseTransformers, setRetryPolicyTemplate, setTransactionConfig, setTransformers, setURIBuilder`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RssInboundEndpointFactoryBean

    public RssInboundEndpointFactoryBean()

Method Detail

### getObjectType

    public Class getObjectType()

  Specified by:
    `getObjectType` in interface `org.springframework.beans.factory.FactoryBean`

### isSingleton

    public boolean isSingleton()

  Specified by:
    `isSingleton` in interface `org.springframework.beans.factory.FactoryBean`

### getObject

    public Object getObject()
                     throws Exception

  Specified by:
    `getObject` in interface `org.springframework.beans.factory.FactoryBean`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.